Subject: [6pack] Speedometer Cable

From: "Russ Bungard" <[email-masked]>
Date: Wed, 30 May 2012 14:25:32 -0400

Hello All

My speedometer cable came apart over the weekend - looks like the
housing wore through or caught or something. I need a new housing &
cable; I remember seeing a place that was recommended by a few listers
that made up the cables with the housing to the correct size. The one on
my car always seemed a little long but worked without the speedo needle
jumping. If anyone can remember who that is please let me know; I
thought I had saved the info but cannot find it. Thanks a bunch.

Russell Bungard

1973 TR6 driver

________________________________________

[email-masked]

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe: http://autox.team.net/mailman/options/6pack/[email-masked]